1. Credit Card
E-Pay
  • Default module
    • Inital
      • Payment Types
    • Credit Card
      • Pay with card number
        POST
      • Pay with card token
        POST
      • Payment Status
        POST
      • Payment Refund
        POST
      • Payment Complete
        POST
      • Payment Void
        POST
    • Card Storage
      • Saved Card List
      • Saved Card Get
      • Saved Card Create
      • Saved Card Delete
    • Queries
      • Credit Card Bin Query / Installment
      • Credit Card Bin Query / Installments
    • ParolaparaPay
      • Create Payment (Send OTP Message)
      • Otp Verify
      • Capture
      • Cancel
      • Refund
      • Status
    • Schemas
      • Requests
        • Order Request
        • Order Item Request
        • Address
        • Customer
        • Payment Request
      • Responses
        • Installment
        • Stored Card
        • Payment Status
        • Paymentstate
      • Enums
        • Card types
  • UcuzYolu
    • Parolapay
      • Cancel
      • Capture
      • Health Check
      • Initiate
      • OTP verify
      • Payment Status
      • Refund
      • ResendOTp
      • Status
  • UcuzYolu
    • Parolapay
      • Cancel
      • Capture
      • Health Check
      • Initiate
      • OTP verify
      • Payment Status
      • Refund
      • ResendOTp
      • Status
  1. Credit Card

Payment Void

Developing
POST
/card/void

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Example
{}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://pay.tripingram.local/card/void' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "data": {
        "success": true,
        "message": "The transaction has been Rejected",
        "code": "100",
        "token": "ilnQNRjQOIqL2tAAcbuZFBpSXY4b5GXnjq1iNlcjqjqI7fmtItQ8T3ZMXWqmhzh33UmHJH5wWkKsr9f9jgzk4a6EY2M8ke77NdfIPHMcGk8Mac1T7FWnWx6wp7bpxhBT",
        "transaction_id": "O0PEB-Oyqc-TC10-18309-021023",
        "order_reference": "DZCDF8MIKM62",
        "total": 120,
        "status": "cancelled",
        "auth_mode": "preauth",
        "captured": true,
        "charge_type": "3d"
    },
    "success": true,
    "code": 0,
    "message": ""
}
🟠422Parameter Error
Modified at 2024-01-30 03:12:17
Previous
Payment Complete
Next
Saved Card List
Built with